Create an authentication provider.
Parámetros de path
-
An Atlas Project/Group ID.
-
El ObjectID de tu aplicación. La sección de ID de Proyecto y ID de la aplicación de App Services API muestra cómo encontrar este valor.
Cuerpo
Objeto
Requerido
-
El nombre del proveedor de autenticación. Para la autenticación anónima, este valor es siempre
anon-user.El valor es
anon-user. -
El nombre del proveedor de autenticación. Para la autenticación anónima, este valor es siempre
anon-user.El valor es
anon-user. -
If
true, the auth provider is disabled. Users cannot log in through the provider until it is enabled.
-
El nombre del proveedor de autenticación. Para la autenticación por correo electrónico/contraseña, este valor es siempre
local-userpass.El valor es
local-userpass. -
El nombre del proveedor de autenticación. Para la autenticación por correo electrónico/contraseña, este valor es siempre
local-userpass.El valor es
local-userpass. -
If
true, the auth provider is disabled. Users cannot log in through the provider until it is enabled. config
Objeto Uno de: Ocultar atributos Mostrar atributos
-
If
true, automatically confirm new user accounts without additional verification.El valor es
true. -
The URL included in the email sent to users as part of the built-in password reset flow. The email also adds a unique password reset
tokenandtokenIdas query parameters.Esta URL debe gestionar la confirmación del usuario pasando el token de restablecimiento de contraseña a una función
resetPassworddel SDK de Realm. -
The subject line of the email sent to users as part of the built-in password reset flow.
Ocultar atributos Mostrar atributos
-
If
true, automatically confirm new user accounts without additional verification.El valor es
true. -
Si
true, usa una función personalizada que definas para gestionar el proceso de restablecimiento de contraseña.El valor es
true. -
The name of the custom function that handles the password reset process.
Ocultar atributos Mostrar atributos
-
If
true, automatically confirm new user accounts without additional verification. For built-in email account confirmation, set this value tofalse.El valor es
false. -
The URL included in the email sent to new users as part of the built-in confirmation flow. The email also adds a unique confirmation
tokenandtokenIdas query parameters.Esta URL debe gestionar la confirmación del usuario pasando el token de confirmación a la función
confirmUserdel SDK de Realm o al endpoint de la API de administración Confirmar un usuario pendiente de correo electrónico/contraseña. -
The subject line of the email sent to new users as part of the built-in confirmation flow.
-
The URL included in the email sent to users as part of the built-in password reset flow. The email also adds a unique password reset
tokenandtokenIdas query parameters.Esta URL debe gestionar la confirmación del usuario pasando el token de restablecimiento de contraseña a una función
resetPassworddel SDK de Realm. -
The subject line of the email sent to users as part of the built-in password reset flow.
Ocultar atributos Mostrar atributos
-
If
true, automatically confirm new user accounts without additional verification. For built-in email account confirmation, set this value tofalse.El valor es
false. -
The URL included in the email sent to new users as part of the built-in confirmation flow. The email also adds a unique confirmation
tokenandtokenIdas query parameters.Esta URL debe gestionar la confirmación del usuario pasando el token de confirmación a la función
confirmUserdel SDK de Realm o al endpoint de la API de administración Confirmar un usuario pendiente de correo electrónico/contraseña. -
The subject line of the email sent to new users as part of the built-in confirmation flow.
-
Si
true, usa una función personalizada que definas para gestionar el proceso de restablecimiento de contraseña.El valor es
true. -
The name of the custom function that handles the password reset process.
Ocultar atributos Mostrar atributos
-
If
true, automatically confirm new user accounts without additional verification. For custom function account confirmation, set this value tofalse.El valor es
false. -
If
true, new email/password user account registrations use a custom function that you define to handle the confirmation process. -
The name of the custom function that handles the confirmation process.
-
The URL included in the email sent to users as part of the built-in password reset flow. The email also adds a unique password reset
tokenandtokenIdas query parameters.Esta URL debe gestionar la confirmación del usuario pasando el token de restablecimiento de contraseña a una función
resetPassworddel SDK de Realm. -
The subject line of the email sent to users as part of the built-in password reset flow.
Ocultar atributos Mostrar atributos
-
If
true, automatically confirm new user accounts without additional verification. For custom function account confirmation, set this value tofalse.El valor es
false. -
If
true, new email/password user account registrations use a custom function that you define to handle the confirmation process. -
The name of the custom function that handles the confirmation process.
-
Si
true, usa una función personalizada que definas para gestionar el proceso de restablecimiento de contraseña.El valor es
true. -
The name of the custom function that handles the password reset process.
-
-
El nombre del proveedor de autenticación. Para la autenticación con clave API, este valor siempre es
api-key.El valor es
api-key. -
El nombre del proveedor de autenticación. Para la autenticación con clave API, este valor siempre es
api-key.El valor es
api-key. -
If
true, the auth provider is disabled. Users cannot log in through the provider until it is enabled.
-
The name of the authentication provider. For Custom JWT authentication, this value is always
custom-token.El valor es
custom-token. -
The name of the authentication provider. For Custom JWT authentication, this value is always
custom-token.El valor es
custom-token. -
If
true, the auth provider is disabled. Users cannot log in through the provider until it is enabled. -
Un objeto de configuración para el proveedor de autenticación Custom JWT.
Ocultar atributos de configuración Show config attributes Objeto
-
Defines the expected values of the
audclaim in the external JWT. By default, the Custom JWT provider expectsaudto be your App ID. -
If
false, the external JWT must include all of the values defined inaudiencein itsaudclaim.Si
truees, un JWT es válido si alguno de los valores definidos enaudienceestá en suaudreclamo.El valor por defecto es
false. -
The cryptographic method that the external system uses to sign the JWT. Custom JWT authentication supports JWTs signed using any of the following algorithms:
- HS256
- RS256
-
If
true, the Custom JWT provider uses a signing algorithm and signing keys defined in a JSON Web Key (JWK) or JSON Web Key Set (JWKS). The JWK(S) must be accessible at the URL specified injwkURI. -
A URL that hosts a JWK or JWKS that describes the signing method and signing keys the Custom JWT provider should use. The JWK(S) may specify up to three signing keys and must use the RS256 algorithm.
-
-
Hide secret_config attribute Mostrar el atributo secret_config Objeto
-
A list of the names of up to three Secrets that each contain a signing key used by the external authentication system to sign JWTs. Each signing key Secret must be a string with length between 32 and 512 characters.
-
-
Metadata fields are additional data that describe each user. The value of each metadata field comes from some field included in the JWT from the external authentication system.
A user's metadata fields refresh whenever they log in.
Ocultar atributos de metadata_fields Mostrar atributos de metadata_fields Objeto
Un campo de metadatos específico del JWT externo para incluir los datos del usuario. Esto asigna un nombre de campo JWT externo (
name) al nombre del campo en los datos del usuario (field_name) que contiene el valor de ese campo.-
Si
true, este valor siempre debe estar presente en el JWT externo. -
The name of the field in the external JWT that contains the data.
To specify a field in an embedded object, use dot notation.
-
The name of the field in User object that holds the value.
-
-
The name of the authentication provider. For Custom Function authentication, this value is always
custom-function.El valor es
custom-function. -
The name of the authentication provider. For Custom Function authentication, this value is always
custom-function.El valor es
custom-function. -
If
true, the auth provider is disabled. Users cannot log in through the provider until it is enabled. -
Un objeto de configuración para el proveedor de autenticación de función personalizada.
Ocultar atributo de configuración Show config attribute Objeto
-
The name of the custom authentication function that handles user logins.
-
-
The name of the authentication provider. For Apple authentication, this value is always
oauth2-apple.El valor es
oauth2-apple. -
The name of the authentication provider. For Apple authentication, this value is always
oauth2-apple.El valor es
oauth2-apple. -
If
true, the auth provider is disabled. Users cannot log in through the provider until it is enabled. -
A configuration object for the Apple authentication provider.
Ocultar atributo de configuración Show config attribute Objeto
-
Your Apple Services ID.
Para aprender cómo obtener esto, consulta Crear un ID de Servicios.
-
-
Hide secret_config attribute Mostrar el atributo secret_config Objeto
-
El nombre de un Secreto que contiene tu secreto JWT de cliente.
To learn how to create this, see Create the Client Secret JWT.
-
-
A list of URIs that the OAuth flow should allow the user to redirect to.
-
The name of the authentication provider. For Google authentication, this value is always
oauth2-google.El valor es
oauth2-google. -
The name of the authentication provider. For Google authentication, this value is always
oauth2-google.El valor es
oauth2-google. -
If
true, the auth provider is disabled. Users cannot log in through the provider until it is enabled. -
Un objeto de configuración para el proveedor de autenticación de Google.
Ocultar atributos de configuración Show config attributes Objeto
-
Un ID de cliente OAuth 2.0 para su proyecto de GCP.
To learn how to create one, see Set Up a Project in the Google API Console.
-
An OAuth 2.0
-
-
Hide secret_config attribute Mostrar el atributo secret_config Objeto
-
The name of a Secret that holds the OAuth 2.0 Client Secret for the Client ID specified in
config.clientId.
-
-
A list of URIs that the OAuth flow should allow the user to redirect to.
-
Ocultar atributos de metadata_fields Mostrar atributos de metadata_fields Objeto
Metadata fields are additional data that describe each user. The value of each metadata field comes from Google and is included in the authenticated JWT.
A user's metadata fields refresh whenever they log in.
-
If
true, include this metadata value in the OAuth JWT and the user's data. -
El nombre de una propiedad de metadatos de usuario accesible a través de OAuth, por ejemplo,
email.
-
-
A list of approved domain names for user accounts. If this is defined, a user must have an email address associated with their OAuth profile that has a domain included in this list.
-
El nombre del proveedor de autenticación. Para la autenticación de Facebook, este valor es siempre
oauth2-facebook.El valor es
oauth2-facebook. -
El nombre del proveedor de autenticación. Para la autenticación de Facebook, este valor es siempre
oauth2-facebook.El valor es
oauth2-facebook. -
If
true, the auth provider is disabled. Users cannot log in through the provider until it is enabled. -
Un objeto de configuración para el proveedor de autenticación de Facebook.
-
Hide secret_config attribute Mostrar el atributo secret_config Objeto
-
The name of a Secret that holds your Facebook App Secret.
-
-
A list of URIs that the OAuth flow should allow the user to redirect to.
-
Ocultar atributos de metadata_fields Mostrar atributos de metadata_fields Objeto
Los campos de metadatos son datos adicionales que describen a cada usuario. El valor de cada campo de metadatos proviene de Facebook y se incluye en el JWT autenticado.
A user's metadata fields refresh whenever they log in.
-
If
true, include this metadata value in the OAuth JWT and the user's data. -
El nombre de una propiedad de metadatos de usuario accesible a través de OAuth, por ejemplo,
email.
-
-
A list of approved domain names for user accounts. If this is defined, a user must have an email address associated with their OAuth profile that has a domain included in this list.
Respuestas
-
Successfully created.
Cualquiera de: Ocultar atributos Mostrar atributos
-
The authentication provider's unique ID.
-
El nombre del proveedor de autenticación. Para la autenticación anónima, este valor es siempre
anon-user.El valor es
anon-user. -
El nombre del proveedor de autenticación. Para la autenticación anónima, este valor es siempre
anon-user.El valor es
anon-user. -
If
true, the auth provider is disabled. Users cannot log in through the provider until it is enabled.
Ocultar atributos Mostrar atributos
-
The authentication provider's unique ID.
-
El nombre del proveedor de autenticación. Para la autenticación por correo electrónico/contraseña, este valor es siempre
local-userpass.El valor es
local-userpass. -
El nombre del proveedor de autenticación. Para la autenticación por correo electrónico/contraseña, este valor es siempre
local-userpass.El valor es
local-userpass. -
If
true, the auth provider is disabled. Users cannot log in through the provider until it is enabled. config
Objeto Uno de: Ocultar atributos Mostrar atributos
-
If
true, automatically confirm new user accounts without additional verification.El valor es
true. -
The URL included in the email sent to users as part of the built-in password reset flow. The email also adds a unique password reset
tokenandtokenIdas query parameters.Esta URL debe gestionar la confirmación del usuario pasando el token de restablecimiento de contraseña a una función
resetPassworddel SDK de Realm. -
The subject line of the email sent to users as part of the built-in password reset flow.
Ocultar atributos Mostrar atributos
-
If
true, automatically confirm new user accounts without additional verification.El valor es
true. -
Si
true, usa una función personalizada que definas para gestionar el proceso de restablecimiento de contraseña.El valor es
true. -
The name of the custom function that handles the password reset process.
Ocultar atributos Mostrar atributos
-
If
true, automatically confirm new user accounts without additional verification. For built-in email account confirmation, set this value tofalse.El valor es
false. -
The URL included in the email sent to new users as part of the built-in confirmation flow. The email also adds a unique confirmation
tokenandtokenIdas query parameters.Esta URL debe gestionar la confirmación del usuario pasando el token de confirmación a la función
confirmUserdel SDK de Realm o al endpoint de la API de administración Confirmar un usuario pendiente de correo electrónico/contraseña. -
The subject line of the email sent to new users as part of the built-in confirmation flow.
-
The URL included in the email sent to users as part of the built-in password reset flow. The email also adds a unique password reset
tokenandtokenIdas query parameters.Esta URL debe gestionar la confirmación del usuario pasando el token de restablecimiento de contraseña a una función
resetPassworddel SDK de Realm. -
The subject line of the email sent to users as part of the built-in password reset flow.
Ocultar atributos Mostrar atributos
-
If
true, automatically confirm new user accounts without additional verification. For built-in email account confirmation, set this value tofalse.El valor es
false. -
The URL included in the email sent to new users as part of the built-in confirmation flow. The email also adds a unique confirmation
tokenandtokenIdas query parameters.Esta URL debe gestionar la confirmación del usuario pasando el token de confirmación a la función
confirmUserdel SDK de Realm o al endpoint de la API de administración Confirmar un usuario pendiente de correo electrónico/contraseña. -
The subject line of the email sent to new users as part of the built-in confirmation flow.
-
Si
true, usa una función personalizada que definas para gestionar el proceso de restablecimiento de contraseña.El valor es
true. -
The name of the custom function that handles the password reset process.
Ocultar atributos Mostrar atributos
-
If
true, automatically confirm new user accounts without additional verification. For custom function account confirmation, set this value tofalse.El valor es
false. -
If
true, new email/password user account registrations use a custom function that you define to handle the confirmation process. -
The name of the custom function that handles the confirmation process.
-
The URL included in the email sent to users as part of the built-in password reset flow. The email also adds a unique password reset
tokenandtokenIdas query parameters.Esta URL debe gestionar la confirmación del usuario pasando el token de restablecimiento de contraseña a una función
resetPassworddel SDK de Realm. -
The subject line of the email sent to users as part of the built-in password reset flow.
Ocultar atributos Mostrar atributos
-
If
true, automatically confirm new user accounts without additional verification. For custom function account confirmation, set this value tofalse.El valor es
false. -
If
true, new email/password user account registrations use a custom function that you define to handle the confirmation process. -
The name of the custom function that handles the confirmation process.
-
Si
true, usa una función personalizada que definas para gestionar el proceso de restablecimiento de contraseña.El valor es
true. -
The name of the custom function that handles the password reset process.
-
Ocultar atributos Mostrar atributos
-
The authentication provider's unique ID.
-
El nombre del proveedor de autenticación. Para la autenticación con clave API, este valor siempre es
api-key.El valor es
api-key. -
El nombre del proveedor de autenticación. Para la autenticación con clave API, este valor siempre es
api-key.El valor es
api-key. -
If
true, the auth provider is disabled. Users cannot log in through the provider until it is enabled.
Ocultar atributos Mostrar atributos
-
The authentication provider's unique ID.
-
The name of the authentication provider. For Custom JWT authentication, this value is always
custom-token.El valor es
custom-token. -
The name of the authentication provider. For Custom JWT authentication, this value is always
custom-token.El valor es
custom-token. -
If
true, the auth provider is disabled. Users cannot log in through the provider until it is enabled. -
Un objeto de configuración para el proveedor de autenticación Custom JWT.
Ocultar atributos de configuración Show config attributes Objeto
-
Defines the expected values of the
audclaim in the external JWT. By default, the Custom JWT provider expectsaudto be your App ID. -
If
false, the external JWT must include all of the values defined inaudiencein itsaudclaim.Si
truees, un JWT es válido si alguno de los valores definidos enaudienceestá en suaudreclamo.El valor por defecto es
false. -
The cryptographic method that the external system uses to sign the JWT. Custom JWT authentication supports JWTs signed using any of the following algorithms:
- HS256
- RS256
-
If
true, the Custom JWT provider uses a signing algorithm and signing keys defined in a JSON Web Key (JWK) or JSON Web Key Set (JWKS). The JWK(S) must be accessible at the URL specified injwkURI. -
A URL that hosts a JWK or JWKS that describes the signing method and signing keys the Custom JWT provider should use. The JWK(S) may specify up to three signing keys and must use the RS256 algorithm.
-
-
Hide secret_config attribute Mostrar el atributo secret_config Objeto
-
A list of the names of up to three Secrets that each contain a signing key used by the external authentication system to sign JWTs. Each signing key Secret must be a string with length between 32 and 512 characters.
-
-
Metadata fields are additional data that describe each user. The value of each metadata field comes from some field included in the JWT from the external authentication system.
A user's metadata fields refresh whenever they log in.
Ocultar atributos de metadata_fields Mostrar atributos de metadata_fields Objeto
Un campo de metadatos específico del JWT externo para incluir los datos del usuario. Esto asigna un nombre de campo JWT externo (
name) al nombre del campo en los datos del usuario (field_name) que contiene el valor de ese campo.-
Si
true, este valor siempre debe estar presente en el JWT externo. -
The name of the field in the external JWT that contains the data.
To specify a field in an embedded object, use dot notation.
-
The name of the field in User object that holds the value.
-
Ocultar atributos Mostrar atributos
-
The authentication provider's unique ID.
-
The name of the authentication provider. For Custom Function authentication, this value is always
custom-function.El valor es
custom-function. -
The name of the authentication provider. For Custom Function authentication, this value is always
custom-function.El valor es
custom-function. -
If
true, the auth provider is disabled. Users cannot log in through the provider until it is enabled. -
Un objeto de configuración para el proveedor de autenticación de función personalizada.
Ocultar atributo de configuración Show config attribute Objeto
-
The name of the custom authentication function that handles user logins.
-
Ocultar atributos Mostrar atributos
-
The authentication provider's unique ID.
-
The name of the authentication provider. For Apple authentication, this value is always
oauth2-apple.El valor es
oauth2-apple. -
The name of the authentication provider. For Apple authentication, this value is always
oauth2-apple.El valor es
oauth2-apple. -
If
true, the auth provider is disabled. Users cannot log in through the provider until it is enabled. -
A configuration object for the Apple authentication provider.
Ocultar atributo de configuración Show config attribute Objeto
-
Your Apple Services ID.
Para aprender cómo obtener esto, consulta Crear un ID de Servicios.
-
-
Hide secret_config attribute Mostrar el atributo secret_config Objeto
-
El nombre de un Secreto que contiene tu secreto JWT de cliente.
To learn how to create this, see Create the Client Secret JWT.
-
-
A list of URIs that the OAuth flow should allow the user to redirect to.
Ocultar atributos Mostrar atributos
-
The authentication provider's unique ID.
-
The name of the authentication provider. For Google authentication, this value is always
oauth2-google.El valor es
oauth2-google. -
The name of the authentication provider. For Google authentication, this value is always
oauth2-google.El valor es
oauth2-google. -
If
true, the auth provider is disabled. Users cannot log in through the provider until it is enabled. -
Un objeto de configuración para el proveedor de autenticación de Google.
Ocultar atributos de configuración Show config attributes Objeto
-
Un ID de cliente OAuth 2.0 para su proyecto de GCP.
To learn how to create one, see Set Up a Project in the Google API Console.
-
An OAuth 2.0
-
-
Hide secret_config attribute Mostrar el atributo secret_config Objeto
-
The name of a Secret that holds the OAuth 2.0 Client Secret for the Client ID specified in
config.clientId.
-
-
A list of URIs that the OAuth flow should allow the user to redirect to.
-
Ocultar atributos de metadata_fields Mostrar atributos de metadata_fields Objeto
Metadata fields are additional data that describe each user. The value of each metadata field comes from Google and is included in the authenticated JWT.
A user's metadata fields refresh whenever they log in.
-
If
true, include this metadata value in the OAuth JWT and the user's data. -
El nombre de una propiedad de metadatos de usuario accesible a través de OAuth, por ejemplo,
email.
-
-
A list of approved domain names for user accounts. If this is defined, a user must have an email address associated with their OAuth profile that has a domain included in this list.
Ocultar atributos Mostrar atributos
-
The authentication provider's unique ID.
-
El nombre del proveedor de autenticación. Para la autenticación de Facebook, este valor es siempre
oauth2-facebook.El valor es
oauth2-facebook. -
El nombre del proveedor de autenticación. Para la autenticación de Facebook, este valor es siempre
oauth2-facebook.El valor es
oauth2-facebook. -
If
true, the auth provider is disabled. Users cannot log in through the provider until it is enabled. -
Un objeto de configuración para el proveedor de autenticación de Facebook.
-
Hide secret_config attribute Mostrar el atributo secret_config Objeto
-
The name of a Secret that holds your Facebook App Secret.
-
-
A list of URIs that the OAuth flow should allow the user to redirect to.
-
Ocultar atributos de metadata_fields Mostrar atributos de metadata_fields Objeto
Los campos de metadatos son datos adicionales que describen a cada usuario. El valor de cada campo de metadatos proviene de Facebook y se incluye en el JWT autenticado.
A user's metadata fields refresh whenever they log in.
-
If
true, include this metadata value in the OAuth JWT and the user's data. -
El nombre de una propiedad de metadatos de usuario accesible a través de OAuth, por ejemplo,
email.
-
-
A list of approved domain names for user accounts. If this is defined, a user must have an email address associated with their OAuth profile that has a domain included in this list.
-
curl \
--request POST 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/auth_providers' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"name":"anon-user","type":"anon-user","disabled":true}'
{
"name": "anon-user",
"type": "anon-user",
"disabled": true
}
{
"name": "local-userpass",
"type": "local-userpass",
"disabled": true,
"config": {
"autoConfirm": true,
"resetPasswordUrl": "string",
"resetPasswordSubject": "string"
}
}
{
"name": "api-key",
"type": "api-key",
"disabled": true
}
{
"name": "custom-token",
"type": "custom-token",
"disabled": true,
"config": {
"audience": [
"string"
],
"requireAnyAudience": false,
"signingAlgorithm": "string",
"useJWKURI": true,
"jwkURI": "string"
},
"secret_config": {
"signingKeys": [
"string"
]
},
"metadata_fields": [
{
"required": true,
"name": "string",
"field_name": "string"
}
]
}
{
"name": "custom-function",
"type": "custom-function",
"disabled": true,
"config": {
"authFunctionName": "string"
}
}
{
"name": "oauth2-apple",
"type": "oauth2-apple",
"disabled": true,
"config": {
"clientId": "string"
},
"secret_config": {
"clientSecret": "string"
},
"redirect_uris": [
"string"
]
}
{
"name": "oauth2-google",
"type": "oauth2-google",
"disabled": true,
"config": {
"clientId": "string",
"openId": true
},
"secret_config": {
"clientSecret": "string"
},
"redirect_uris": [
"string"
],
"metadata_fields": [
[
{
"required": true,
"name": "string"
}
]
],
"domain_restrictions": [
"string"
]
}
{
"name": "oauth2-facebook",
"type": "oauth2-facebook",
"disabled": true,
"config": {
"clientId": "string"
},
"secret_config": {
"clientSecret": "string"
},
"redirect_uris": [
"string"
],
"metadata_fields": [
[
{
"required": true,
"name": "string"
}
]
],
"domain_restrictions": [
"string"
]
}
{
"_id": "string",
"name": "anon-user",
"type": "anon-user",
"disabled": true
}
{
"_id": "string",
"name": "local-userpass",
"type": "local-userpass",
"disabled": true,
"config": {
"autoConfirm": true,
"resetPasswordUrl": "string",
"resetPasswordSubject": "string"
}
}
{
"_id": "string",
"name": "api-key",
"type": "api-key",
"disabled": true
}
{
"_id": "string",
"name": "custom-token",
"type": "custom-token",
"disabled": true,
"config": {
"audience": [
"string"
],
"requireAnyAudience": false,
"signingAlgorithm": "string",
"useJWKURI": true,
"jwkURI": "string"
},
"secret_config": {
"signingKeys": [
"string"
]
},
"metadata_fields": [
{
"required": true,
"name": "string",
"field_name": "string"
}
]
}
{
"_id": "string",
"name": "custom-function",
"type": "custom-function",
"disabled": true,
"config": {
"authFunctionName": "string"
}
}
{
"_id": "string",
"name": "oauth2-apple",
"type": "oauth2-apple",
"disabled": true,
"config": {
"clientId": "string"
},
"secret_config": {
"clientSecret": "string"
},
"redirect_uris": [
"string"
]
}
{
"_id": "string",
"name": "oauth2-google",
"type": "oauth2-google",
"disabled": true,
"config": {
"clientId": "string",
"openId": true
},
"secret_config": {
"clientSecret": "string"
},
"redirect_uris": [
"string"
],
"metadata_fields": [
[
{
"required": true,
"name": "string"
}
]
],
"domain_restrictions": [
"string"
]
}
{
"_id": "string",
"name": "oauth2-facebook",
"type": "oauth2-facebook",
"disabled": true,
"config": {
"clientId": "string"
},
"secret_config": {
"clientSecret": "string"
},
"redirect_uris": [
"string"
],
"metadata_fields": [
[
{
"required": true,
"name": "string"
}
]
],
"domain_restrictions": [
"string"
]
}